/*
 * Copyright (c) 2010 Nokia Corporation and/or its subsidiary(-ies). All rights reserved.
 *    
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 *    
 *  * Redistributions of source code must retain the above copyright notice, this
 *    list of conditions and the following disclaimer.
 *  * Redistributions in binary form must reproduce the above copyright notice,
 *    this list of conditions and the following disclaimer in the documentation
 *    and/or other materials provided with the distribution.
 *  * Neither the name of Nokia Corporation nor the names of its contributors
 *    may be used to endorse or promote products derived from this software
 *    without specific prior written permission.
 *    
 *    THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 *    AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 *    IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
 *    DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE
 *    FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 *    DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
 *    SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
 *    CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
 *    OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
 *    OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *    
 *    Description:  
 */


#include "DescriptorExDocument.h"
#include "DescriptorExAppUi.h"

// -----------------------------------------------------------------------------
// Constructor. No data to hold, empty implementation.
// -----------------------------------------------------------------------------
CDescriptorExDocument::CDescriptorExDocument(CEikApplication& aApp)
: CAknDocument(aApp)    
    {
    }

// -----------------------------------------------------------------------------
// Destructor. Nothing to do since an empty document.
// -----------------------------------------------------------------------------
CDescriptorExDocument::~CDescriptorExDocument()
    {
    }

// -----------------------------------------------------------------------------
// Second phase constructor. Nothing to do since empty implementation.
// -----------------------------------------------------------------------------
void CDescriptorExDocument::ConstructL()
    {
    }

// -----------------------------------------------------------------------------
// Factory method to construct an instance of CDescriptorExDocument. Returns
// an empty document.
// -----------------------------------------------------------------------------
CDescriptorExDocument* CDescriptorExDocument::NewL(
        CEikApplication& aApp)     // CDescriptorExApp reference
    {
    CDescriptorExDocument* self = new (ELeave) CDescriptorExDocument( aApp );
    CleanupStack::PushL( self );
    self->ConstructL();
    CleanupStack::Pop();

    return self;
    }
    
// -----------------------------------------------------------------------------
// This document returns instance of CDescriptorExAppUi for the framework.
// -----------------------------------------------------------------------------
CEikAppUi* CDescriptorExDocument::CreateAppUiL()
    {
    return new (ELeave) CDescriptorExAppUi;
    }
